<?php

/**
 * @file
 * Feeds module custom importers.
 */

/**
 * Implements hook_feeds_importer_default().
 */
function prayers_feeds_importer_default() {

  $export = array();

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'prayers_start_times';
  $feeds_importer->config = array(
    'name' => 'Prayer Start Times',
    'description' => '',
    'fetcher' => array(
      'plugin_key' => 'FeedsFileFetcher',
      'config' => array(
        'allowed_extensions' => 'txt csv tsv xml opml',
        'direct' => FALSE,
        'directory' => 'public://feeds',
        'allowed_schemes' => array(
          0 => 'public',
        ),
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'expire' => '-1',
        'author' => '1',
        'mappings' => array(
          0 => array(
            'source' => 'Date',
            'target' => 'title',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'Fajr',
            'target' => 'field_fajr',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'Sunrise',
            'target' => 'field_sunrise',
            'unique' => FALSE,
          ),
          3 => array(
            'source' => 'Dhuhr',
            'target' => 'field_dhuhr',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'Asr1',
            'target' => 'field_asr1',
            'unique' => FALSE,
          ),
          5 => array(
            'source' => 'Asr2',
            'target' => 'field_asr2',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'Sunset',
            'target' => 'field_sunset',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'Isha',
            'target' => 'field_isha',
            'unique' => FALSE,
          ),
        ),
        'update_existing' => '1',
        'input_format' => 'plain_text',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'bundle' => 'prayers_start',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '-1',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );

  $export['prayers_start_times'] = $feeds_importer;

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'prayers_congregation_times';
  $feeds_importer->config = array(
    'name' => 'Prayer Congregation Times',
    'description' => '',
    'fetcher' => array(
      'plugin_key' => 'FeedsFileFetcher',
      'config' => array(
        'allowed_extensions' => 'txt csv tsv xml opml',
        'direct' => FALSE,
        'directory' => 'public://feeds',
        'allowed_schemes' => array(
          0 => 'public',
        ),
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'expire' => '-1',
        'author' => '1',
        'mappings' => array(
          0 => array(
            'source' => 'Title',
            'target' => 'title',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'Start',
            'target' => 'field_period_start',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'End',
            'target' => 'field_period_end',
            'unique' => FALSE,
          ),
          3 => array(
            'source' => 'Prayer',
            'target' => 'field_prayer',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'Time',
            'target' => 'field_time',
            'unique' => FALSE,
          ),
          5 => array(
            'source' => 'Description',
            'target' => 'field_description',
            'unique' => FALSE,
          ),
        ),
        'update_existing' => '1',
        'input_format' => 'plain_text',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'bundle' => 'prayers_congregation',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '-1',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );

  $export['prayers_congregation_times'] = $feeds_importer;

  return $export;

}
